<?php
/* Mantenimiento de los registros de la tabla FCO_TipoPago redefinidos por el usaurio */
class FCO_TipoPagoDP extends BaseFCO_TipoPagoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdTipoPago ) IS NULL, 1, MAX( IdTipoPago ) + 1 ) i_Id  FROM FCO_TipoPago ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>